﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.Mail;
using System.Text;

namespace SendMailDemo
{
    public partial class Index : System.Web.UI.Page
    {
        protected void btnSend_Click(object sender, EventArgs e)
        {
            string subject = this.txtSubject.Text;
            string body = this.txtBody.Text;
            string from = this.txtFrom.Text;
            string to = this.txtTo.Text;
            string userName = this.txtUserName.Text;
            string password = this.txtPassword.Text;
            string smtpServer = this.txtSmtpServer.Text;
            string port = this.txtPort.Text;
            bool ssl = this.ckbSsl.Checked;

            MailMessage mmsg = new MailMessage();
            //邮件主题
            mmsg.Subject = subject;
            mmsg.BodyFormat = MailFormat.Html;
            //邮件正文
            mmsg.Body = body;
            //正文编码
            mmsg.BodyEncoding = Encoding.UTF8;
            //优先级
            mmsg.Priority = MailPriority.Normal;
            //发件者邮箱地址
            mmsg.From = from;
            //收件人收箱地址
            mmsg.To = to;

            mmsg.Fields.Add("http://schemas.microsoft.com/cdo/configuration/smtpauthenticate", "1");
            //用户名
            mmsg.Fields.Add("http://schemas.microsoft.com/cdo/configuration/sendusername", userName);
            //密码
            mmsg.Fields.Add("http://schemas.microsoft.com/cdo/configuration/sendpassword", password);
            //端口 
            mmsg.Fields.Add("http://schemas.microsoft.com/cdo/configuration/smtpserverport", port);
            //是否ssl
            mmsg.Fields.Add("http://schemas.microsoft.com/cdo/configuration/smtpusessl", ssl ? "true" : "false");
            //Smtp服务器
            System.Web.Mail.SmtpMail.SmtpServer = smtpServer;

            try
            {
                SmtpMail.Send(mmsg);
                Response.Write("发送成功");
            }
            catch (Exception ex)
            {
                Response.Write("发送失败，失败原因：" + ex.Message);
            }
        }
    }
}